﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using HelloWorld;
using Microsoft.Practices.Unity.Configuration;
using System.Configuration;
using HelloInterface;

namespace UnitTest
{
    public class Program
    {
        public static void Main(string[] args)
        {
            /// 读取配置信息。
            var section = (UnityConfigurationSection)ConfigurationManager.GetSection("unity");
            IUnityContainer container = new UnityContainer();
            section.Configure(container); // Unnamed <container> element

            //container.RegisterType<ISayHello, MotherSayHello>();
            /// 获取实例
            ISayHello say = container.Resolve<ISayHello>();
            ISayHello child = container.Resolve<ISayHello>("child");
            say.SayHello("you");
            child.SayHello("him");
        }
    }
}
